## org.hibernate.classic
Class ValidationFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.classic.ValidationFailure

All Implemented Interfaces:
  Serializable

    public class ValidationFailure

extends HibernateException

Thrown from `Validatable.validate()` when an invariant was violated. Some applications might subclass this exception in order to provide more information about the violation.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`ValidationFailure(Exception e)`
`ValidationFailure(String message)`
`ValidationFailure(String message, Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationFailure

    public ValidationFailure(String message)

### ValidationFailure

    public ValidationFailure(String message,
                             Exception e)

### ValidationFailure

    public ValidationFailure(Exception e)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.